
function mainSliderInit() {
	if ($('.slider__list').length) {
		$('.slider__list').slick({
			prevArrow: '<a class="slick-arrow-prev" />',
			nextArrow: '<a class="slick-arrow-next" />',
			dots: true,
			responsive: [
		    {
		      breakpoint: 1080,
		      settings: {
		        arrows: false,
		      }
		    },
		    {
		      breakpoint: 767,
		      settings: {
		        arrows: false,
		        autoplay: true,
		        autoplaySpeed: 2000
		      }
		    }
		  ]
		});
	}

	if ($('.brand__list').length) {
		$('.brand__list').slick({
			prevArrow: '<a class="slick-arrow-prev" />',
			nextArrow: '<a class="slick-arrow-next" />',
			dots: false,
			slidesToShow: 9,
			responsive: [
			{
		      breakpoint: 1000,
		      settings: {
		        arrows: false,
		        slidesToShow: 7,
		        centerMode: true,
      			centerPadding: '30px'
		      }
		    },
		    {
		      breakpoint: 850,
		      settings: {
		        arrows: false,
		        slidesToShow: 6,
		        centerMode: true,
      			centerPadding: '30px'
		      }
		    },
		    {
		      breakpoint: 650,
		      settings: {
		        slidesToShow: 3,
		        arrows: false,
		        centerMode: true,
      			centerPadding: '30px'
		      }
		    },
		    {
		      breakpoint: 450,
		      settings: {
		        slidesToShow: 3,
		        arrows: false
		       //  centerMode: true,
      			// centerPadding: '30px'
		      }
		    }
		  ]
		});
	}

	if ( $('.recommend__list').length ) {
		$('.recommend__list').slick({
			arrows: false,
			infinite: false,
			slidesToShow: 3,
			variableWidth: true,
			dots: false,
			draggable:false,
			responsive: [
		    {
		      breakpoint: 1023,
		      settings: {
		        arrows: false,
		        dots: true,
		        draggable:true,
		        slidesToShow: 1,
		        slidesToScroll: 2
		      }
		    }
		  ]	
		})
	}

}

function mainFunc() {

	function linkTitle() {
		if( $(window).width() < 1023 ) {
			$('.insurance h2 a').on('click', function(e) {
				e.preventDefault();
			})
		}else {
			$('.insurance h2 a').off('click');
		}
	}
	linkTitle();

	$(window).on('resize', function() {
		linkTitle();
	});

	function blinkBg() {
		// setInterval(function(){
		//   $('.slider__compare-bg').addClass('blink_on');
		//   setTimeout(function(){$('.slider__compare-bg').removeClass('blink_on')},2000);
		// },2050);

		// setInterval(function(){
		//   $('.slider__compare-bg').addClass('blink_on blink_on2');
		//   setTimeout(function(){$('.slider__compare-bg').removeClass('blink_on2')},1000);
		// },1040);
	}
	blinkBg();

	function animateAnchor() {
		$('.anchor').click(function(e){
			var el = $(this).attr('href');
			$('body, html').animate({
			scrollTop: $(el).offset().top}, 1000);
			e.preventDefault();
		});
	}
	animateAnchor();

	function scrollUp() {

		function showHideBtn() {
			var position = $(window).scrollTop();
			if ( $(window).width() < 767 ) {
				if ( position > 200 ) {
					$('.upBtn').addClass('active');
				}else {
					$('.upBtn').removeClass('active');
				}
			}else {
				$('.upBtn').removeClass('active');
			}
			
		}

		$('.upBtn').on('click', function(e) {
			btnEvent(e, $(this) );
		})

		$(window).on('scroll', function() {
			showHideBtn();
		});

		
		$(window).on('resize', function() {
			showHideBtn();
		})
		function btnEvent(e, elem) {

			$('body, html').animate({
				scrollTop: 0
			}, 500);

			e.preventDefault();

		}

	}

	scrollUp();

}

$(document).on('ready', function() {

	mainSliderInit();

	mainFunc();

});